Results 1 to 7 of 7

Thread: Can't select files in KF5

  1. #1

    Default Can't select files in KF5

    Whenever I open the file selector on a KF5 program, I get the following error:

    Code:
     Could not start process Unable to create io-slave:
     klauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/file.so'.
    Note that I'm using the KF5 stuff in the Frameworks5 repository, not the one in the default OSS repository.

  2. #2

    Default Re: Can't select files in KF5

    Quote Originally Posted by DarkPhoenixNixa View Post
    Note that I'm using the KF5 stuff in the Frameworks5 repository, not the one in the default OSS repository.
    Maybe a mix of incompatible packages?
    Make sure you have all of KF5 from that repo, by doing a "full repository vendor change update":
    https://en.opensuse.org/SDB:Vendor_c..._Vendor_change

    And I hope you are using the KDE:Qt5 repo as well, all packages in KDE:Frameworks5 are built against Qt 5.5 already, which is not included in 13.2.
    Make a full switch to that repo as well, to rule out incompatibilities.

    If that doesn't help, try recreating the KDE cache by running "kbuildsycoca5 --noincremental" or deleting the directory ~/.cache/.

    I'm using KDE:Frameworks5 on openSUSE 13.2 too and it works fine here btw.

  3. #3

    Default Re: Can't select files in KF5

    Yes, I forced a vendor upgrade to Frameworks5 using YaST. Yes, I'm using the Qt5 repo along with it, and yes I forced a vendor upgrade to that as well. Running kbuildsycoca5 and deleting .cache didn't do anything. I'm going to try another forced vendor reinstall just in case.

  4. #4

    Default Re: Can't select files in KF5

    Quote Originally Posted by DarkPhoenixNixa View Post
    Yes, I forced a vendor upgrade to Frameworks5 using YaST. Yes, I'm using the Qt5 repo along with it, and yes I forced a vendor upgrade to that as well. Running kbuildsycoca5 and deleting .cache didn't do anything. I'm going to try another forced vendor reinstall just in case.
    Hm. I did see such a problem intermittently here as well some time ago, but it works now.
    I have no idea at the moment what else to try. And I don't really know what fixed it for me either unfortunately.

    Just to be sure: did you run "kbuildsycoca5 --noincremental" *after* you deleted ~/.cache/ too?
    KF5 might not notice automatically that the cache is missing and rebuild it automatically.
    Last edited by wolfi323; 18-Aug-2015 at 03:50.

  5. #5

    Default Re: Can't select files in KF5

    PS: try on a fresh user account. That would at least show whether it's a system-wide problem or somehow related to the user files.

    And verify that /usr/lib64/qt5/plugins/kf5/kio/file.so actually exists. It's part of kio-core which is required by many other packages anyway, so it should be installed, but maybe the file got deleted somehow or something like that.
    Code:
    ls -l /usr/lib64/qt5/plugins/kf5/kio/file.so

  6. #6

    Default Re: Can't select files in KF5

    It seems to work perfectly fine with a newly created account; there must be something with my personal account that's causing the problem here.

  7. #7

    Default Re: Can't select files in KF5

    Quote Originally Posted by DarkPhoenixNixa View Post
    It seems to work perfectly fine with a newly created account; there must be something with my personal account that's causing the problem here.
    Ok, then it's no installation issue at least.

    Well, I would start by deleting ~/.cache/ and running "kbuildsycoca5 --noincremental" again.

    If that doesn't help, try to rename ~/.config/ (this contains the configuration for other applications as well though, LibreOffice e.g.).
    You can of course rename it back afterwards, but that should hopefully narrow down the problem.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •